List folders
curl --request GET \
--url https://api.hubapi.com/crm/lists/2026-09-beta/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-09-beta/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-09-beta/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folder": {
"childLists": [
123
],
"childNodes": "<array>",
"id": "<string>",
"parentFolderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedContentsAt": "2023-11-07T05:31:56Z",
"userId": 123
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Folders
List folders
Retrieve a list of folders within the CRM lists. This endpoint can be used to navigate through the folder structure by specifying a folder ID. It is useful for organizing and managing lists within folders.
GET
/
crm
/
lists
/
2026-09-beta
/
folders
List folders
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The unique identifier of the folder to retrieve. Defaults to '0' if not specified.
Response
successful operation
Show child attributes
Show child attributes
Last modified on August 6, 2026
Was this page helpful?
⌘I